Bug 25582 - Don't show OPAC problems entry on dashboard when there are no reports
Summary: Don't show OPAC problems entry on dashboard when there are no reports
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 4461
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-22 09:51 UTC by Katrin Fischer
Modified: 2020-06-22 04:32 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports (2.23 KB, patch)
2020-06-02 11:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25582 - Screenshot of border displaying on staff interface (36.82 KB, application/pdf)
2020-06-09 11:01 UTC, David Nind
Details
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports (3.99 KB, patch)
2020-06-09 19:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports (3.99 KB, patch)
2020-06-09 19:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports (4.04 KB, patch)
2020-06-10 08:23 UTC, David Nind
Details | Diff | Splinter Review
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports (4.10 KB, patch)
2020-06-11 11:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-22 09:51:35 UTC
We should follow the existing pattern and only show the problem reports entry on the dashboard, when there are pending problem reports:


OPAC problem reports pending: 0
Comment 1 Owen Leonard 2020-06-02 11:14:44 UTC Comment hidden (obsolete)
Comment 2 David Nind 2020-06-09 11:01:13 UTC
Created attachment 105661 [details]
Bug 25582 - Screenshot of border displaying on staff interface

This works, but it leaves a border across the screen - see screen shot (this is after the patch is applied and there are no problem reports.
Comment 3 Owen Leonard 2020-06-09 19:48:14 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2020-06-09 19:48:31 UTC
Created attachment 105669 [details] [review]
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports

This patch makes a minor correction to the template to correct the check
on outstanding OPAC problem reports. An error was preventing the check
from working correctly.

To test, apply the patch and enable the OPACReportProblem system
preference.

 - On the staff interface home page, check the area showing pending
   operations (suggestions, tags, etc.).
 - If you have no pending OPAC problem reports there should be no line
   for OPAC problem reports.
   - If necessary, mark all pending OPAC problem reports closed and
     confirm that when there are no outstanding reports the link is
     hidden.
   - Also test when there are no other outstanding reports in that
     section (suggestions, tags, patron modifications), nothing appears
     at all, not even the surrounding border.
  - If necessary, test that the link appears when you have one or more
    OPAC problem reports.
    - Go to the OPAC and use the "Report a problem" to submit a test
      report.
    - Check that the staff interface home page reflects that there is
      now a pending report.
Comment 5 David Nind 2020-06-10 08:23:48 UTC
Created attachment 105673 [details] [review]
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports

This patch makes a minor correction to the template to correct the check
on outstanding OPAC problem reports. An error was preventing the check
from working correctly.

To test, apply the patch and enable the OPACReportProblem system
preference.

 - On the staff interface home page, check the area showing pending
   operations (suggestions, tags, etc.).
 - If you have no pending OPAC problem reports there should be no line
   for OPAC problem reports.
   - If necessary, mark all pending OPAC problem reports closed and
     confirm that when there are no outstanding reports the link is
     hidden.
   - Also test when there are no other outstanding reports in that
     section (suggestions, tags, patron modifications), nothing appears
     at all, not even the surrounding border.
  - If necessary, test that the link appears when you have one or more
    OPAC problem reports.
    - Go to the OPAC and use the "Report a problem" to submit a test
      report.
    - Check that the staff interface home page reflects that there is
      now a pending report.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2020-06-11 11:53:44 UTC
Created attachment 105739 [details] [review]
Bug 25582: Don't show OPAC problems entry on dashboard when there are no reports

This patch makes a minor correction to the template to correct the check
on outstanding OPAC problem reports. An error was preventing the check
from working correctly.

To test, apply the patch and enable the OPACReportProblem system
preference.

 - On the staff interface home page, check the area showing pending
   operations (suggestions, tags, etc.).
 - If you have no pending OPAC problem reports there should be no line
   for OPAC problem reports.
   - If necessary, mark all pending OPAC problem reports closed and
     confirm that when there are no outstanding reports the link is
     hidden.
   - Also test when there are no other outstanding reports in that
     section (suggestions, tags, patron modifications), nothing appears
     at all, not even the surrounding border.
  - If necessary, test that the link appears when you have one or more
    OPAC problem reports.
    - Go to the OPAC and use the "Report a problem" to submit a test
      report.
    - Check that the staff interface home page reflects that there is
      now a pending report.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-06-15 10:00:22 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-06-17 23:18:57 UTC
backported to 20.05.x for 20.05.01
Comment 9 Aleisha Amohia 2020-06-22 04:32:44 UTC
missing dependencies, not backported to 19.11.x